Bug 57916 - Internal compiler error in gcc-3.1-0.10 on alpha
Internal compiler error in gcc-3.1-0.10 on alpha
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc (Show other bugs)
1.0
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
http://jochen.scram.de/p_enemy.c
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-01 10:35 EST by jochen
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-03 06:53:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description jochen 2002-01-01 10:35:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.0.2 (X11; Linux alpha; U;) Gecko/20011226

Description of problem:
While compiling xdoom, i get the internal error:

p_enemy.c: In function `A_Tracer':
p_enemy.c:1057: Internal compiler error in simplify_gen_subreg, at
simplify-rtx.c:2653



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. get preprocessed C source from URL above
2. compile with gcc -O3 -ffast-math -fomit-frame-pointer -c p_enemy.c -o
p_enemy.o
3. read the error message ;-)
	

Actual Results:  compiler stops with internal compiler error

Expected Results:  compiler should compile ;-)

Additional info:
Comment 1 jochen 2002-01-01 16:51:38 EST
Same still happens with gcc-3.1-0.11.alpha.rpm. gcc 2.96 has no problems with
the  example file.

--jochen
Comment 2 Jakub Jelinek 2002-01-03 06:53:48 EST
See http://gcc.gnu.org/ml/gcc-patches/2002-01/msg00158.html
Comment 3 Jakub Jelinek 2002-01-07 11:31:13 EST
Should be fixed in gcc-3.1-0.16.

Note You need to log in before you can comment on or make changes to this bug.